Bug 1289997 - drm:intel_set_pch_fifo_underrun_reporting [i915]] *ERROR* uncleared pch fifo underrun on pch transcoder A
drm:intel_set_pch_fifo_underrun_reporting [i915]] *ERROR* uncleared pch fifo ...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-09 08:27 EST by Zhang Yi
Modified: 2016-12-20 11:49 EST (History)
20 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:49:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zhang Yi 2015-12-09 08:27:00 EST
Description of problem:
drm:intel_set_pch_fifo_underrun_reporting [i915]] *ERROR* uncleared pch fifo underrun on pch transcoder A

Version-Release number of selected component (if applicable):
4.2.6-301.fc23.x86_64
Fedora 23 on W541 laptop

How reproducible:
100%

Steps to Reproduce:
1. check the dmesg log
2.
3.

Actual results:


Expected results:


Additional info:
Found lost of below error log from dmesg:
[    3.847811] [drm:intel_set_pch_fifo_underrun_reporting [i915]] *ERROR* uncleared pch fifo underrun on pch transcoder A
[    3.847834] [drm:intel_pch_fifo_underrun_irq_handler [i915]] *ERROR* PCH transcoder A FIFO underrun
[    3.850330] [drm:intel_set_cpu_fifo_underrun_reporting [i915]] *ERROR* uncleared fifo underrun on pipe B
[    3.850348] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe B FIFO underrun
[    9.543841] [drm:intel_set_pch_fifo_underrun_reporting [i915]] *ERROR* uncleared pch fifo underrun on pch transcoder A
[    9.543860] [drm:intel_pch_fifo_underrun_irq_handler [i915]] *ERROR* PCH transcoder A FIFO underrun
[    9.548331] [drm:intel_set_cpu_fifo_underrun_reporting [i915]] *ERROR* uncleared fifo underrun on pipe A
[    9.548346] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
[349317.156006] [drm:intel_set_pch_fifo_underrun_reporting [i915]] *ERROR* uncleared pch fifo underrun on pch transcoder A
[349317.156019] [drm:intel_pch_fifo_underrun_irq_handler [i915]] *ERROR* PCH transcoder A FIFO underrun
[349317.160580] [drm:intel_set_cpu_fifo_underrun_reporting [i915]] *ERROR* uncleared fifo underrun on pipe B
[349317.160592] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe B FIFO underrun
Comment 1 Panos Kavalagios 2015-12-11 04:30:37 EST
I also confirm getting those messages:

[drm:intel_set_pch_fifo_underrun_reporting [i915]] *ERROR* uncleared pch fifo underrun on pch transcoder A
[drm:intel_pch_fifo_underrun_irq_handler [i915]] *ERROR* PCH transcoder A FIFO underrun

on a desktop with "Intel Corporation Xeon E3-1200 v2/3rd Gen Core processor Graphics Controller (rev 09)" VGA. 

Current affected components:

kernel-4.2.6-301.fc23.x86_64
xorg-x11-drv-intel-2.99.917-16.20150729.fc23.x86_64
Comment 2 Martin Rossbach 2015-12-27 09:12:11 EST
I can confirm identically with comment 1:

Error in dmesg:
[drm:intel_set_pch_fifo_underrun_reporting [i915]] *ERROR* uncleared pch fifo underrun on pch transcoder A
[drm:intel_pch_fifo_underrun_irq_handler [i915]] *ERROR* PCH transcoder A FIFO underrun

VGA:
Intel Corporation Xeon E3-1200 v2/3rd Gen Core processor Graphics Controller (rev 09)
(HD 2500 in Intel i5 3550)


Additional info: also with Kernel
kernel-4.2.7-300.fc23.x86_64
kernel-4.2.8-300.fc23.x86_64
Comment 3 sbobber 2016-02-19 03:07:13 EST
me too:

dmesg:
[    2.345728] [drm:intel_set_pch_fifo_underrun_reporting [i915]] *ERROR* uncleared pch fifo underrun on pch transcoder A
[    2.345749] [drm:intel_pch_fifo_underrun_irq_handler [i915]] *ERROR* PCH transcoder A FIFO underrun

vga:
00:02.0 VGA compatible controller: Intel Corporation 3rd Gen Core processor Graphics Controller (rev 09)

other info:
kernel 4.3.5-300.fc23.x86_64
xorg-x11-drv-intel-2.99.917-16.20150729.fc23.x86_64
Comment 4 Dio Putra 2016-03-15 18:42:33 EDT
Fixed in 4.5 Kernel mainline.

Here's my dmesg log: http://paste.fedoraproject.org/340593/45808164/
Comment 5 c-jack 2016-03-21 04:04:00 EDT
me too:

[drm:intel_set_pch_fifo_underrun_reporting [i915]] *ERROR* uncleared pch fifo underrun on pch transcoder A

[drm:intel_pch_fifo_underrun_irq_handler [i915]] *ERROR* PCH transcoder a FIFO underrun

iSCSI daemon with pid=383 started!

can't open InitiatorNmae configuration file /etc/iscsi/initiatorname.iscsi

Warning:Initiatorname file /etc/iscsi/initiatorname.iscsi does not exist or does not contain a properly formated InitiatorName
can't open InitiatorAlias configuration file /etc/iscsi/initiatorname.iscsi

can't open iscsid.safe_logout configuration file /etc/iscsi/iscsid.conf

Device dev-disk-by\x2dlabel-\xe6\x96\xb0\xe5\x8a\xa0\e5\x8d\xb7.device appeared twice with different sysfs paths /sys/devices/pci0000:00/0000:00:1f.a/ata1/host1

computer: lenovo Thinkpad T430s
cpu:Intel(R) Core(TM)i7-3520M
ram: 16G
os:CentOS-7-x86_64-Everything-1511.iso
Comment 6 Orion Poplawski 2016-03-23 18:06:33 EDT
I wonder if the fix will ever get backported to the EL7 kernel.
Comment 7 Piotr Dobrogost 2016-05-09 04:50:15 EDT
(In reply to Dio Oktarianos Putra from comment #4)
> Fixed in 4.5 Kernel mainline.

What version was this fixed in?

I have this problem with
kernel-4.5.2-302.fc24.x86_64
xorg-x11-drv-intel-2.99.917-22.20160119.fc24.x86_64
on Fedora 24.
Comment 8 Piotr Dobrogost 2016-05-09 05:11:30 EDT
Does anyone know which bug out of these https://bugs.freedesktop.org/buglist.cgi?quicksearch=i915%20intel_cpu_fifo_underrun_irq_handler&list_id=579081 should I monitor for resolution?
Comment 9 Flo H. 2016-06-08 11:11:07 EDT
Same happening here on my Fedora 23 with kernel 4.5.5-201.fc23.x86_64 on an Thinkpad X230 (CPU: Intel(R) Core(TM) i7-3520M CPU @ 2.90GHz)

I also noted that a kernel regression test (https://git.fedorahosted.org/git/kernel-tests.git) performed on that system does not come to an end. Logs are here: https://paste.fedoraproject.org/376201/ (with SELinux disabled), and here https://paste.fedoraproject.org/376204/ (SELinux enabled).

xorg-x11-drv-intel-2.99.917-19.20151206.fc23.x86_64

Here is a snip from journalctl
Comment 10 Flo H. 2016-06-08 11:12:02 EDT
Same happening here on my Fedora 23 with kernel 4.5.5-201.fc23.x86_64 on an Thinkpad X230 (CPU: Intel(R) Core(TM) i7-3520M CPU @ 2.90GHz)

I also noted that a kernel regression test (https://git.fedorahosted.org/git/kernel-tests.git) performed on that system does not come to an end. Logs are here: https://paste.fedoraproject.org/376201/ (with SELinux disabled), and here https://paste.fedoraproject.org/376204/ (SELinux enabled).

xorg-x11-drv-intel-2.99.917-19.20151206.fc23.x86_64

Here is a snip from journalctl: https://paste.fedoraproject.org/376234/
Comment 11 Flo H. 2016-06-09 10:52:16 EDT
Updated kernel to 4.5.6. Problem persists.
Comment 12 Minto Joseph 2016-06-14 23:03:49 EDT
Issue fixed for me after updating to 4.5.6-200.fc23.x86_64.


--
Specs: 
        Manufacturer: Dell Inc.
        Product Name: Latitude E6530

00:02.0 VGA compatible controller: Intel Corporation 3rd Gen Core processor Graphics Controller (rev 09)
--

[root@xxx ~]# journalctl -b |grep "Linux version"
Jun 15 08:05:51 xxx kernel: Linux version 4.5.6-200.fc23.x86_64 (mockbuild@bkernel01.phx2.fedoraproject.org) (gcc version 5.3.1 20160406 (Red Hat 5.3.1-6) (GCC) ) #1 SMP Wed Jun 1 21:28:20 UTC 2016
[root@xxx ~]# journalctl -b -1|grep intel_set_pch_fifo_underrun_reporting
Jun 15 06:14:27 xxx kernel: [drm:intel_set_pch_fifo_underrun_reporting [i915]] *ERROR* uncleared pch fifo underrun on pch transcoder A



[root@xxx ~]# journalctl -b -1|grep "Linux version"
Jun 15 06:14:25 xxx kernel: Linux version 4.4.6-300.fc23.x86_64 (mockbuild@bkernel02.phx2.fedoraproject.org) (gcc version 5.3.1 20151207 (Red Hat 5.3.1-2) (GCC) ) #1 SMP Wed Mar 16 22:10:37 UTC 2016
[root@dxv9bw1 ~]# 
[root@xxx ~]# journalctl -b |grep intel_set_pch_fifo_underrun_reporting
[root@xxx ~]#
Comment 13 sbobber 2016-06-15 02:12:01 EDT
root@---]# date
mer 15 giu 2016, 08.08.18, CEST
[root@---]# uname -a
Linux dharma 4.5.6-200.fc23.x86_64 #1 SMP Wed Jun 1 21:28:20 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux
[root@---]# journalctl -b |grep -i underrun
[root@---]# 


ok, after last update the log is clear
Comment 14 Fedora End Of Life 2016-11-24 09:05:39 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2016-12-20 11:49:51 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.